#eureka client配置
eureka:
  client.serviceUrl.defaultZone: http://admin:prolog00212@192.168.40.138:8761/eureka/
  instance:
    ipAddress: 192.168.40.134
    leaseRenewalIntervalInSeconds: 30 #租期更新时间间隔（默认30秒） 客户端发送心跳检测时间间隔
    leaseExpirationDurationInSeconds: 90 #租期到期时间（默认90秒）

prolog.tx.url: http://192.168.40.138:7000/tx/manager/

spring:
  application:
    name: upcloud-base-wh-outbound
  #redis配置
  redis:
    host: 192.168.40.138
    port: 6379
    password: prolog0212
    database: 0
  #链路跟踪
  zipkin:
    sender.type: rabbit
    rabbitmq.queue: trace
  sleuth:
    enable: true
    sampler:
      probability: 1.0
  rabbitmq:
    host: 192.168.9.18
    port: 5672
    username: common
    password: prolog-mq-20191229
    virtual-host: /upcloud
  datasource:
    driverClassName: com.mysql.jdbc.Driver
    url: jdbc:mysql://192.168.1.13:2206/upcloud_biz_outbound?useSSL=false&serverTimezone=CTT&useUnicode=true&characterEncoding=utf-8&allowMultiQueries=true
    username: upcloud_biz_outbound
    password: upcloud_biz_outbound
    #使用druid数据源
    initialSize: 0 #初始化大小
    minIdle: 5 #最小空閒
    maxActive: 50 #最大連接數
    maxWait: 6000 #最大等待時間
    minEvictableIdleTimeMillis: 25200000
    removeAbandonedTimeoutMillis: 600000
#    removeAbandoned: false #是否开启durid连接回收策略,默认true
prolog:
  dao:
    dialect: mysql
    performance:
      enable: true
      showSql: true
    mybatis:
      mapperLocations: classpath:mappers/mysql/*.xml  
  security:
    accessTokenValiditySeconds: 3600
    refreshTokenValiditySeconds: 30000
  interfaceId:
    sendAgv: 282
    sendWms: 291
    updateAgvStatus: 293
    token: '$2a$12$PHVUZPLUswQVz0Mj.FdzmeF5lC.eqQEGOtA8CN8OzpH7XC8Mf3ste'
  service:
    power: service-platform-power-base

mq:
  wave:
    response:
      queueName: waveResponseQueue
      topicName: topic.wave.response
    request:
       queueName: waveRequestQueue
       topicName: topic.wave.request

logging:
  config: classpath:log4j2-prod.xml
  level:
    com.netflix.discovery.shared.resolver.aws.ConfigClusterResolver: WARN

management:
  endpoints:
    web:
      exposure:
        include: '*'
        exclude: shutdown
  endpoint:
    logfile.external-file: /usr/local/logs/upcloud-base-wh-outbound/192.168.40.134.9816/info.log
    health.show-details: always

# 超时配置
ribbon:
  ReadTimeout: 120000
  ConnectTimeout: 10000
  MaxAutoRetries: 1
  MaxAutoRetriesNextServer: 1
  
feign.hystrix.enabled: true #启用熔断
hystrix:
  threadpool:
   default:
      coreSize: 20 #线程隔离，默认线程池大小为10
      maxQueueSize: 500
      queueSizeRejectionThreshold: 400
  command:
    default: #默认全局配置
      execution:
        timeout:
          enabled: true
        isolation:
          thread:
            timeoutInMilliseconds: 525000